Debian Bug report logs - #517786
myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*

version graph

Package: myspell-fr-gut; Maintainer for myspell-fr-gut is Lionel Elie Mamane <lmamane@debian.org>; Source for myspell-fr-gut is src:ifrench-gut.

Reported by: Rene Engelhard <rene@debian.org>

Date: Thu, 26 Feb 2009 19:51:01 UTC

Severity: normal

Fixed in version ifrench-gut/1:1.0-26

Done: Lionel Elie Mamane <lmamane@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org. (Thu, 26 Feb 2009 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Thu, 26 Feb 2009 19:51:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: submit@bugs.debian.org
Subject: [openoffice.org] debianize and redistribute l10n extensions
Date: Thu, 26 Feb 2009 21:49:11 +0200
Package: openoffice.org
Version: 1:3.0.1-3
Severity: normal
Tags: l10n

--- Please enter the report below this line. ---
openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
but that is no longer truth.
for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
download it and run /usr/lib/openoffice/program/unopkg add dict-uk_UA-1.5.7.oxt
it would be cool if l10n-* packages included those extensions and added them automatically,
as in good old times.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.22-1-mepis-smp

Debian Release: lenny/sid
  800 unstable        ftp.3logic.net 
  800 experimental    ftp.3logic.net 

--- Package information. ---
Depends                                      (Version) | Installed
======================================================-+-========================
openoffice.org-core            (= 2.0.4.dfsg.2-5etch1) | 1:3.0.1-2
openoffice.org-writer                                  | 1:3.0.1-2
openoffice.org-calc                                    | 1:3.0.1-2
openoffice.org-impress                                 | 1:3.0.1-2
openoffice.org-draw                                    | 1:3.0.1-2
openoffice.org-math                                    | 1:3.0.1-2
openoffice.org-base                                    | 
openoffice.org-java-common                             | 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org. (Thu, 26 Feb 2009 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Thu, 26 Feb 2009 21:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Thu, 26 Feb 2009 22:38:07 +0100
tag 517274 - l10n
severity 517274 wishlist
reassign 517274 openoffice.org-dictionaries
retitle 517274 [openoffice.org] debianize and redistribute dict extensions
tag 517274 + wontfix
thanks

Hi,

Nick Shaforostoff wrote:
> Package: openoffice.org
> Version: 1:3.0.1-3
> Severity: normal
> Tags: l10n
> 
> --- Please enter the report below this line. ---
> openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
> but that is no longer truth.

Why do you think that?

rene@mini:~$ rmadison myspell-uk
myspell-uk |      1.1-1 |     etch-m68k | all
myspell-uk |      1.1-1 |     oldstable | all
myspell-uk |    1.5.0-1 |        stable | all
myspell-uk |    1.5.7-1 |       testing | all
myspell-uk |    1.5.7-1 |      unstable | all

Still there.

> for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA

Who says that?

> download it and run /usr/lib/openoffice/program/unopkg add dict-uk_UA-1.5.7.oxt
> it would be cool if l10n-* packages included those extensions and added them automatically,
> as in good old times.

No. It would not. because what with mozilla etc. which use *exactly* the same dict?
Right, they won't work.

The dictionary extension thing is bogus. And I also surely will not package any
dict out there. Especially not if it's there (whether it's out of date of not is
what I don't know, but for that, ask myspell-uks maintainer)

Wontfix.

And btw, what you mean is *dict* extensions, not l10n extensions.

> Architecture: i386
> Kernel:       Linux 2.6.22-1-mepis-smp

Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*? We specify
the correct paths to the dict in Debian on the build so it gets found there.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Tags removed: l10n Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:08 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:09 GMT) Full text and rfc822 format available.

Bug reassigned from package `openoffice.org' to `openoffice.org-dictionaries'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to `[openoffice.org] debianize and redistribute dict extensions' from `[openoffice.org] debianize and redistribute l10n extensions'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:10 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 18:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 517274@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: Rene Engelhard <rene@debian.org>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 20:32:12 +0200
On Thursday 26 of February 2009 23:38:07 you wrote:
> tag 517274 - l10n
> severity 517274 wishlist
> reassign 517274 openoffice.org-dictionaries
> retitle 517274 [openoffice.org] debianize and redistribute dict extensions
> tag 517274 + wontfix
> thanks
> 
> Hi,
> 
> Nick Shaforostoff wrote:
> > Package: openoffice.org
> > Version: 1:3.0.1-3
> > Severity: normal
> > Tags: l10n
> > 
> > --- Please enter the report below this line. ---
> > openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
> > but that is no longer truth.
> 
> Why do you think that?
> 
> rene@mini:~$ rmadison myspell-uk
> myspell-uk |      1.1-1 |     etch-m68k | all
> myspell-uk |      1.1-1 |     oldstable | all
> myspell-uk |    1.5.0-1 |        stable | all
> myspell-uk |    1.5.7-1 |       testing | all
> myspell-uk |    1.5.7-1 |      unstable | all
> 
> Still there.
I know. I installed it and also myspell-fr but got no uk/fr spellcheck in openoffice
(i rebooted my system after installing dicts to be sure).
i still had icons only near russian and en-us in format->symbols->language list.
I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.

can you please do the same on your system and check whether it will work for you?
(this has to be done with ooo 3.0 and not with 2.4, obviously)

> > for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
> Who says that?
http://wiki.services.openoffice.org/wiki/Dictionaries

> No. It would not. because what with mozilla etc. which use *exactly* the same dict?
> Right, they won't work.
I don't suggest removing myspell-*, I just say that they don't work for ooo3.
 

> > Architecture: i386
> > Kernel:       Linux 2.6.22-1-mepis-smp
> 
> Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*?
> We specify the correct paths to the dict in Debian on the build so it gets found there.
How can I check this?
myspell-* and openoffice.org* are installed from vanilla debian repository (sid).
I believe that the only non-vanilla-debian thing in my system
(which runs for over a year now, and I regularly upgrade from debian sid/experimental)
is the kernel. I even removed mepis config tools cause they conflicted with debian's new ooo.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 20:57:02 GMT) Full text and rfc822 format available.

Message #30 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 21:53:35 +0100
Hi,

Nick Shaforostoff wrote:
> > Still there.
> I know. I installed it and also myspell-fr but got no uk/fr spellcheck in openoffice
> (i rebooted my system after installing dicts to be sure).
> i still had icons only near russian and en-us in format->symbols->language list.

You mean Format-Character, don't you?

> I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.

Works here. All dicts I install appear.

> can you please do the same on your system and check whether it will work for you?
> (this has to be done with ooo 3.0 and not with 2.4, obviously)
> 
> > > for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
> > Who says that?
> http://wiki.services.openoffice.org/wiki/Dictionaries

Well, you fell into the trap just written for the bogus upstream mechanism
not taking distributions' needs into account at all. typical for the OOo
project.

Don't alwys trust upstream pages since they might just care about bogus
upstream policies and might be miles away from real life requirements.

> > Right, they won't work.
> I don't suggest removing myspell-*, I just say that they don't work for ooo3.

And that it wrong.

Did you by chance just had a mixture of OOo 2.4.1 arch-dep and OOo 3.0
arch-indep packages? The upgrade of openoffice.org-common will unconditionally
remove dictionary.lst (which is the file OOO 2.4 needs for finding its dicts)
and update-openoffice-dicts won't create it anymore since it finds a OOo3 :-)

> > > Architecture: i386
> > > Kernel:       Linux 2.6.22-1-mepis-smp
> > 
> > Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*?
> > We specify the correct paths to the dict in Debian on the build so it gets found there.
> How can I check this?
> myspell-* and openoffice.org* are installed from vanilla debian repository (sid).

Don't know (ecept my suggestion/idea above) and tbh I also don't really care
It works. Period.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 21:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 22:08:57 +0100
Rene Engelhard wrote:
> > I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.
> 
> Works here. All dicts I install appear.

And *of course* the dicts are not in the l10n.

> > > Right, they won't work.
> > I don't suggest removing myspell-*, I just say that they don't work for ooo3.
> 
> And that it wrong.

OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
when moving uk.* to uk_UA.dic it works. 

-> myspell-uk bug.

I guess uk.* is still needed for mozilla, so there will be symlinks in either way needed.

Grüße/Regards,
 
René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Message #40 received at 517274@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: Rene Engelhard <rene@debian.org>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 23:39:30 +0200
On Friday 27 of February 2009 23:08:57 you wrote:
> OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
> Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
> but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
> when moving uk.* to uk_UA.dic it works. 
> 
> -> myspell-uk bug.
and please also check other languages too.
at least myspell-fr doesn't work.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Mon, 02 Mar 2009 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Mon, 02 Mar 2009 01:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Mon, 2 Mar 2009 02:33:09 +0100
clone 517274 -1 -2 -3 -4 -5 -6 -7
reassign -1 myspell-uk
reassign -2 myspell-ar
reassign -3 myspell-sv
reassign -4 myspell-nb
reassign -5 myspell-nn
reassign -6 myspell-fr
reassign -7 myspell-fr-gut
retitle -1 myspell-uk: uk.{dic,aff} is not enough for OOo3, needs to be uk_UA
retitle -2 myspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*
retitle -3 myspell-sv: uk.{dic,aff} is not enough for OOo3, needs to be sv_*
retitle -4 myspell-nb: nb.{dic,aff} is not enough for OOo3, needs to be nb_NO
retitle -5 myspell-nn: nn.{dic,aff} is not enough for OOo3, needs to be nn_NO
retitle -5 myspell-fr: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
retitle -7 myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
severity -1 grave
severity -2 grave
severity -3 grave
severity -4 grave
severity -5 grave
seeritry -6 grave
severity -7 grave
thanks

Hi,

Nick Shaforostoff wrote:
> On Friday 27 of February 2009 23:08:57 you wrote:
> > OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
> > Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
> > but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
> > when moving uk.* to uk_UA.dic it works. 
> > 
> > -> myspell-uk bug.
> and please also check other languages too.
> at least myspell-fr doesn't work.

- myspell-uk
- myspell-ar
- myspell-sv
- myspell-nb
- myspell-nn
- myspell-fr
- myspell-fr-gut

I am reassigning a clone to all of these packages. Maintainers, see the quoted section. Basically
it seems that OOo3s auto-detect of dictionaries (dictionary.lst is gone!) only noticed the "normal"
form with <lang>_<COUNTRY>. (Same also applied for hyphenation and thesauri but none of Debians
are affected AFAIS).

Please move the file or (and I guess this would be more feasible if mozilla needed <lang>.* add a symlink)
to make them work with OOo3.

I'll update the DSDT policy asap.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Bug 517274 cloned as bugs 517780, 517781, 517782, 517783, 517784, 517785, 517786. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `openoffice.org-dictionaries' to `myspell-fr-gut'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:18 GMT) Full text and rfc822 format available.

Changed Bug title to `myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*' from `[openoffice.org] debianize and redistribute dict extensions'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:25 GMT) Full text and rfc822 format available.

Severity set to `grave' from `wishlist' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:30 GMT) Full text and rfc822 format available.

Tags removed: wontfix Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:45:13 GMT) Full text and rfc822 format available.

Changed Bug submitter from Nick Shaforostoff <shaforostoff@kde.ru> to Rene Engelhard <rene@debian.org>. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:45:22 GMT) Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Lionel Elie Mamane <lmamane@debian.org> to control@bugs.debian.org. (Sun, 12 Jul 2009 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#517786; Package myspell-fr-gut. (Sun, 12 Jul 2009 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 12 Jul 2009 17:54:05 GMT) Full text and rfc822 format available.

Message #64 received at 517786@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Rene Engelhard <rene@debian.org>, 517786@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sun, 12 Jul 2009 19:48:04 +0200
On Mon, Mar 02, 2009 at 02:33:09AM +0100, Rene Engelhard wrote:
> clone 517274 -1 -2 -3 -4 -5 -6 -7
> reassign -7 myspell-fr-gut

When cloning bugs (especially a mass clone), please send a message to
the cloned bug with a short summary of the issue, else the maintainer
does not get adequate notification of the bug, and notices only when
ddpo bugs him months later :)

> retitle -7 myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
> severity -7 grave

That's highly exaggerated. "It does not work with one particular
application" is not "unusable by most or all users" but "does not
undermine the usability of the whole package".

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#517786; Package myspell-fr-gut. (Sun, 12 Jul 2009 18:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 12 Jul 2009 18:51:07 GMT) Full text and rfc822 format available.

Message #69 received at 517786@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: 517786@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sun, 12 Jul 2009 20:38:14 +0200
severity 517786 importnat
thanks
 
Lionel Elie Mamane wrote:
> On Mon, Mar 02, 2009 at 02:33:09AM +0100, Rene Engelhard wrote:
> > clone 517274 -1 -2 -3 -4 -5 -6 -7
> > reassign -7 myspell-fr-gut
> 
> When cloning bugs (especially a mass clone), please send a message to
> the cloned bug with a short summary of the issue, else the maintainer
> does not get adequate notification of the bug, and notices only when
> ddpo bugs him months later :)

That's not true. He gets XXXX reassigned to foo mails, where he can look.
When he does there he would have seen my last comment.

> > retitle -7 myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
> > severity -7 grave
> 
> That's highly exaggerated. "It does not work with one particular
> application" is not "unusable by most or all users" but "does not
> undermine the usability of the whole package".

Suuure. Only that most of the poeple who use this package need it for spellchecking in OOo
and not for spellchecking in Iceweasel or Icedove...
And there it does *NOT WORK* *AT ALL* with your current package.
And you didn't even acknowledge that it's a important bug by setting it
to "normal".

The time you wasted for this mail was better used by finally fixing
this bug. Fix it. (Or I'll NMU it before the freeze without notice,
like for all such-type bugs)

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#517786; Package myspell-fr-gut. (Sun, 12 Jul 2009 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 12 Jul 2009 19:03:02 GMT) Full text and rfc822 format available.

Message #74 received at 517786@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Rene Engelhard <rene@debian.org>
Cc: 517786@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sun, 12 Jul 2009 21:01:55 +0200
On Sun, Jul 12, 2009 at 08:38:14PM +0200, Rene Engelhard wrote:
> Lionel Elie Mamane wrote:
>> On Mon, Mar 02, 2009 at 02:33:09AM +0100, Rene Engelhard wrote:

>> When cloning bugs (especially a mass clone), please send a message to
>> the cloned bug with a short summary of the issue, else the maintainer
>> does not get adequate notification of the bug, and notices only when
>> ddpo bugs him months later :)

> That's not true. He gets XXXX reassigned to foo mails, where he can
> look.

That is not *adequate* notice; there is a long list and hunting which
of your packages this is about is not immediate. It is all too easy to
think this comes from a PTS subscription to openoffice rather than one
of your packages.

> When he does there he would have seen my last comment.

No, your comment is not in that mail.

> (...) I'll NMU it before the freeze without notice, like for all
> such-type bugs

You are most welcome to. Thank you in advance for your help.
http://wiki.debian.org/LowThresholdNmu

-- 
Lionel




Blocking bugs of 517786 added: 469677 Request was from Lionel Elie Mamane <lionel@mamane.lu> to control@bugs.debian.org. (Sun, 12 Jul 2009 20:12:02 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Lionel Elie Mamane <lionel@mamane.lu> to control@bugs.debian.org. (Sun, 12 Jul 2009 20:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#517786; Package myspell-fr-gut. (Sun, 12 Jul 2009 20:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 12 Jul 2009 20:48:02 GMT) Full text and rfc822 format available.

Message #83 received at 517786@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: 517786@bugs.debian.org, 517786-submitter@bugs.debian.org
Subject: Debian bug #517786: myspell dict must adapt to new OpenOffice.org 3 : a tentative fix
Date: Sun, 12 Jul 2009 22:38:31 +0200
A new (source) package aiming at correcting this bug is at
http://people.debian.org/~lmamane/ifrench-gut/

I'd be grateful if you could test it. Thanks in advance.

Upload to Debian will have to wait for secure access to GnuPG key,
possibly as late as (return from) DebConf.

-- 
Lionel




Message sent on to Rene Engelhard <rene@debian.org>:
Bug#517786. (Sun, 12 Jul 2009 20:48:03 GMT) Full text and rfc822 format available.

Reply sent to Lionel Elie Mamane <lmamane@debian.org>:
You have taken responsibility. (Fri, 24 Jul 2009 10:00:08 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Fri, 24 Jul 2009 10:00:08 GMT) Full text and rfc822 format available.

Message #91 received at 517786-close@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lmamane@debian.org>
To: 517786-close@bugs.debian.org
Subject: Bug#517786: fixed in ifrench-gut 1:1.0-26
Date: Fri, 24 Jul 2009 09:17:58 +0000
Source: ifrench-gut
Source-Version: 1:1.0-26

We believe that the bug you reported is fixed in the latest version of
ifrench-gut, which is due to be installed in the Debian FTP archive:

ifrench-gut_1.0-26.diff.gz
  to pool/main/i/ifrench-gut/ifrench-gut_1.0-26.diff.gz
ifrench-gut_1.0-26.dsc
  to pool/main/i/ifrench-gut/ifrench-gut_1.0-26.dsc
ifrench-gut_1.0-26_amd64.deb
  to pool/main/i/ifrench-gut/ifrench-gut_1.0-26_amd64.deb
myspell-fr-gut_1.0-26_all.deb
  to pool/main/i/ifrench-gut/myspell-fr-gut_1.0-26_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lionel Elie Mamane <lmamane@debian.org> (supplier of updated ifrench-gut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 12 Jul 2009 22:13:02 +0200
Source: ifrench-gut
Binary: ifrench-gut myspell-fr-gut
Architecture: source amd64 all
Version: 1:1.0-26
Distribution: unstable
Urgency: low
Maintainer: Lionel Elie Mamane <lmamane@debian.org>
Changed-By: Lionel Elie Mamane <lmamane@debian.org>
Description: 
 ifrench-gut - The French dictionary for ispell (GUTenberg version)
 myspell-fr-gut - The French dictionary for myspell (GUTenberg version)
Closes: 469677 517786
Changes: 
 ifrench-gut (1:1.0-26) unstable; urgency=low
 .
   * Create a "belgicismes" dictionary (closes: #469677)
   * adapt to new requirements by OpenOffice 3 (closes: #517786)
Checksums-Sha1: 
 32905f537439eccf556ce83b4abce7989c50bbcd 1129 ifrench-gut_1.0-26.dsc
 c0ed871eee2e5a321227cd9b9e3735ba27906d34 29609 ifrench-gut_1.0-26.diff.gz
 eef96bcec4bb15129fefebc6406bc1a7bd05410e 2118062 ifrench-gut_1.0-26_amd64.deb
 f3e087c4a870e571cceee0074ef901f644341b4d 321874 myspell-fr-gut_1.0-26_all.deb
Checksums-Sha256: 
 8827b52ae1d99f6ea5496ade911c2e93f16c4be3001ef878371a57f8349428b0 1129 ifrench-gut_1.0-26.dsc
 6fbce0a452d2eaef55a445104ada75793b2e472e3da27820509954365aeb6a62 29609 ifrench-gut_1.0-26.diff.gz
 4bfc939b9551ada3020405eef9b109dfc7976521e9fb0a3b95ea480f1079e94d 2118062 ifrench-gut_1.0-26_amd64.deb
 293274826abc83b8449fb8711d1075b5f7b5201e663719edca5728c5ef74ae14 321874 myspell-fr-gut_1.0-26_all.deb
Files: 
 fc9b63c1f09a2a05b3422a778832a438 1129 text optional ifrench-gut_1.0-26.dsc
 60cf37a337d1a0fa6cdddd4f2f26ff4b 29609 text optional ifrench-gut_1.0-26.diff.gz
 c9d5db2ec9b66b8966ad5d6c213184a4 2118062 text optional ifrench-gut_1.0-26_amd64.deb
 15f993f85e2084b0f0f57164885d569d 321874 text optional myspell-fr-gut_1.0-26_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAkppdzgACgkQscRzFz57S3N5ggCgpTsuYF3S8S0c3SYkRyghxFwg
2bgAoIZw5Xz07tLotrFkpkKl80OxkGrp
=Tbcy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Sep 2009 07:42:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:21:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.